###############################################################################
# Examples for eQTL Weighted Genome-wide Association Study
#------------------------------------------------------------------------------ 
# Author: Lin Li (ll323@cornell.edu)
# Last updated: April 21, 2013
###############################################################################

# Notes:
# This example file assumes the function file "ewgwas.R" and eQTL database files
# "eqtldb_mrca_cis1m.Rdata", "eqtldb_mrce_cis1m.Rdata", "eqtldb_meta_cis1m.Rdata"
# are all in the same directory as the example file.

#-- Start of Examples ---------------------------------------------------------

# load necessary R functions
source('ewgwas.R')

# read example data
sma=read.table('sma_example.txt',header=T)

# use database MRCA (cis 1M)
ew.mrca=ewgwas(chr=sma$chr,pos=sma$pos,pval=sma$pval,database='eqtldb_mrca_cis1m.Rdata')

# use database MRCA (cis 1M)
ew.mrce=ewgwas(chr=sma$chr,pos=sma$pos,pval=sma$pval,database='eqtldb_mrce_cis1m.Rdata')

# use database MRCA (cis 1M)
ew.meta=ewgwas(chr=sma$chr,pos=sma$pos,pval=sma$pval,database='eqtldb_meta_cis1m.Rdata')

#-- End of Examples -----------------------------------------------------------